#!/bin/bash
### BEGIN INIT INFO
# Provides:          sxsscardserver.sh 
# Required-Start:    $local_fs $network $remote_fs $syslog
# Required-Stop:     $local_fs $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: starts the sxsscardserver.sh daemon
# Description:       starts sxsscardserver.sh using start-stop-daemon
### END INIT INFO

start(){
	echo "start sxsscard service..."
	cd /opt/apps/sxsscardserver/bin/
	./sxsscardserver
	echo "start sxsscard service "
	exit 0
}

stop(){
	echo "stop sxsscard service..."
	killall sxsscardserver
	echo "stop sxsscard service "

}

case "$1" in
start)
	start
	;;

stop)
	stop
	;;

restart)
	stop
	start
	;;

*)
	echo "usage: $0 start|stop|restart"
	exit 0

esac

exit 0

